﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOL', 'T_MAL_PROTOCOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTOCOL_FBILLNO') CREATE INDEX IDX_MAL_PROTOCOL_FBILLNO ON T_MAL_PROTOCOL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTOCOL_FBIZPARTNERID') CREATE INDEX IDX_MAL_PROTOCOL_FBIZPARTNERID ON T_MAL_PROTOCOL ( FBIZPARTNERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTOCOL_FORG') CREATE INDEX IDX_MAL_PROTOCOL_FORG ON T_MAL_PROTOCOL ( FORGID );


 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOL_L', 'T_MAL_PROTOCOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PRO_L_FLOCALEID') CREATE INDEX IDX_MAL_PRO_L_FLOCALEID ON T_MAL_PROTOCOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOLORGENTRY', 'T_MAL_PROTOCOLORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_PROENTRY_FENTRYID') CREATE INDEX IDX_T_MAL_PROENTRY_FENTRYID ON T_MAL_PROTOCOLORGENTRY ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOLENTRY', 'T_MAL_PROTOCOLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTOCOLENTRY_ID') CREATE INDEX IDX_MAL_PROTOCOLENTRY_ID ON T_MAL_PROTOCOLENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTOCOLENTRY_MATID') CREATE INDEX IDX_MAL_PROTOCOLENTRY_MATID ON T_MAL_PROTOCOLENTRY ( FMATERIALID );


 EXEC P_ALTERPK 'PK_T_MAL_PROREJECTREASON', 'T_MAL_PROREJECTREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROREJECTREASON_FPROID') CREATE INDEX IDX_MAL_PROREJECTREASON_FPROID ON T_MAL_PROREJECTREASON ( FPRICEPROID );



/**End C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
