﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTERENTRY' AND KSQL_COL_NAME IN ('FAUXPTYID')) 
 ALTER TABLE T_MAL_PRODENTERENTRY ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTERENTRY' AND KSQL_COL_NAME IN ('FMATERIALID')) 
 ALTER TABLE T_MAL_PRODENTERENTRY ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTERENTRY' AND KSQL_COL_NAME IN ('FPROTOCOLENTRYID')) 
 ALTER TABLE T_MAL_PRODENTERENTRY ADD (FPROTOCOLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTER' AND KSQL_COL_NAME IN ('FPROTOCOLID')) 
 ALTER TABLE T_MAL_PRODENTER ADD (FPROTOCOLID BIGINT DEFAULT 0 NOT NULL );
 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PROTOCOL') 
 CREATE TABLE T_MAL_PROTOCOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROTOCOLNAME NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPROSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FPARTYALD BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FINVALIDDATE DATETIME,
FEFFECTDATE DATETIME,
FPROTOCOLSIGNDATE DATETIME,
FISSRM CHAR(1) DEFAULT '0' NOT NULL,
FISGOODVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FPURMODE CHAR(1) DEFAULT ' ' NOT NULL,
FHANDLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FHANDLORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROTOCOLGROUP CHAR(1) DEFAULT ' ' NOT NULL,
FPRICETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FGENDISCOUNTRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISAUTOSOLDOUT CHAR(1) DEFAULT '0' NOT NULL,
FISSUPGOOD CHAR(1) DEFAULT '0' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPROTOCOLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXCHRATE DECIMAL(19,6) DEFAULT 1 NOT NULL,
FPURRATEDATE DATETIME,
FEXCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTAXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCONTINUEPROBILLNO BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMORID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCID BIGINT DEFAULT 0 NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PROTOCOL_L') 
 CREATE TABLE T_MAL_PROTOCOL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPROTOCOLNAME NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PROTOCOLORGENTRY') 
 CREATE TABLE T_MAL_PROTOCOLORGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PROTOCOLENTRY') 
 CREATE TABLE T_MAL_PROTOCOLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALGROUP BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDCTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PROREJECTREASON') 
 CREATE TABLE T_MAL_PROREJECTREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FREJECTORID BIGINT DEFAULT 0 NOT NULL,
FREJECTREASON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FORIGIN CHAR(1) DEFAULT '0' NOT NULL,
FREJECTDATE DATETIME,
FPRICEPROID NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
