﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTE', 'T_MAL_PRODATTRIBUTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PRODATTRIBUTE_FNUMBER') CREATE INDEX IDX_PRODATTRIBUTE_FNUMBER ON T_MAL_PRODATTRIBUTE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTEGROUP', 'T_MAL_PRODATTRIBUTEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTRIBUTEGROUP_FNUMBER') CREATE INDEX IDX_ATTRIBUTEGROUP_FNUMBER ON T_MAL_PRODATTRIBUTEGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTECLASS', 'T_MAL_PRODATTRIBUTECLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTRIBUTECLASS_FNUMBER') CREATE INDEX IDX_ATTRIBUTECLASS_FNUMBER ON T_MAL_PRODATTRIBUTECLASS ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTEVALUE', 'T_MAL_PRODATTRIBUTEVALUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTRIBUTEVALUE_FNUMBER') CREATE INDEX IDX_ATTRIBUTEVALUE_FNUMBER ON T_MAL_PRODATTRIBUTEVALUE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTEENTRY', 'T_MAL_PRODATTRIBUTEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PROATTRENTRY_FID_FSEQ') CREATE INDEX IDX_PROATTRENTRY_FID_FSEQ ON T_MAL_PRODATTRIBUTEENTRY ( FSEQ ,FID );



 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTECLASS_L', 'T_MAL_PRODATTRIBUTECLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTRIBUTECLASS_L_FID') CREATE INDEX IDX_ATTRIBUTECLASS_L_FID ON T_MAL_PRODATTRIBUTECLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTEVALUE_L', 'T_MAL_PRODATTRIBUTEVALUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ATTRIBUTEVALUE_L_FID') CREATE INDEX IDX_ATTRIBUTEVALUE_L_FID ON T_MAL_PRODATTRIBUTEVALUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTE_L', 'T_MAL_PRODATTRIBUTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PRODATTRIBUTE_L_FID') CREATE INDEX IDX_PRODATTRIBUTE_L_FID ON T_MAL_PRODATTRIBUTE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_PRODATTRIBUTEGROUP_L', 'T_MAL_PRODATTRIBUTEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PRODATTRIBUTEGROUP_L_FID') CREATE INDEX IDX_PRODATTRIBUTEGROUP_L_FID ON T_MAL_PRODATTRIBUTEGROUP_L ( FID ,FLOCALEID );



/**End C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
