﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FPIC_TITLE')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FPIC_TITLE NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FPIC_DESC')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FPIC_DESC NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FFONT_COLOR')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FFONT_COLOR NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FENTRY_PRODUCT_OBTAIN_ID')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FENTRY_PRODUCT_OBTAIN_ID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FTAG_COLOR')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FTAG_COLOR NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPENTRY' AND KSQL_COL_NAME IN ('FDESC_COLOR')) 
 ALTER TABLE T_MAL_COMPENTRY ADD (FDESC_COLOR NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPGROUP' AND KSQL_COL_NAME IN ('FISPRESET')) 
 ALTER TABLE T_MAL_COMPGROUP ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FISPRESET')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FSHOW_WAY')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FSHOW_WAY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FPRODUCT_OBTAIN_ID')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FPRODUCT_OBTAIN_ID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FVALID_DATE_START')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FVALID_DATE_START DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FVALID_DATE_END')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FVALID_DATE_END DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPONENT' AND KSQL_COL_NAME IN ('FPICTURE1')) 
 ALTER TABLE T_MAL_COMPONENT ADD (FPICTURE1 NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPCONFIG' AND KSQL_COL_NAME IN ('FISPRESET')) 
 ALTER TABLE T_MAL_COMPCONFIG ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_COMPCONFIG' AND KSQL_COL_NAME IN ('FSHOW_PRICE')) 
 ALTER TABLE T_MAL_COMPCONFIG ADD (FSHOW_PRICE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_CONFIGCATEGORYENTRY') 
 CREATE TABLE T_MAL_CONFIGCATEGORYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODOBTAIN') 
 CREATE TABLE T_MAL_PRODOBTAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FACQUISITION_MODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRANGE VARCHAR(20) DEFAULT ' ' NOT NULL,
FLIMIT INT DEFAULT 0 NOT NULL,
FPLUGIN VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPLATFORM VARCHAR(2) DEFAULT ' ' NOT NULL,
FORDERBY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNT_ROWS INT DEFAULT 0 NOT NULL,
FGOODSESCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSALESESCONFIGID BIGINT DEFAULT 0 NOT NULL,
FSORT_IN_CATEGORY CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODOBTAIN_L') 
 CREATE TABLE T_MAL_PRODOBTAIN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODOBTAIN_CAT') 
 CREATE TABLE T_MAL_PRODOBTAIN_CAT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODOBTAINENTRY') 
 CREATE TABLE T_MAL_PRODOBTAINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
