﻿/**Begin D:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MAL_COMMENTSTRATEGY', 'T_MAL_COMMENTSTRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMSTRATEGY_FNUMBER') CREATE INDEX IDX_MAL_COMSTRATEGY_FNUMBER ON T_MAL_COMMENTSTRATEGY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTLABEL', 'T_MAL_COMMENTLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTLABEL_FNUMBER') CREATE INDEX IDX_MAL_COMMENTLABEL_FNUMBER ON T_MAL_COMMENTLABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTLABELCLASS', 'T_MAL_COMMENTLABELCLASS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMLABELCLASS_FID') CREATE INDEX IDX_MAL_COMLABELCLASS_FID ON T_MAL_COMMENTLABELCLASS ( FID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMODULE', 'T_MAL_COMMENTMODULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMODULE_FNUMBER') CREATE INDEX IDX_MAL_COMMODULE_FNUMBER ON T_MAL_COMMENTMODULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMODULELABEL', 'T_MAL_COMMENTMODULELABEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMODULELAB_FMASTERID') CREATE INDEX IDX_MAL_COMMODULELAB_FMASTERID ON T_MAL_COMMENTMODULELABEL ( FID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTSTRATEGY_L', 'T_MAL_COMMENTSTRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMSTRATEGY_L_FID') CREATE INDEX IDX_MAL_COMSTRATEGY_L_FID ON T_MAL_COMMENTSTRATEGY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTLABEL_L', 'T_MAL_COMMENTLABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTLABEL_L_FID') CREATE INDEX IDX_MAL_COMMENTLABEL_L_FID ON T_MAL_COMMENTLABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMODULE_L', 'T_MAL_COMMENTMODULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTMODULE_L_FID') CREATE INDEX IDX_MAL_COMMENTMODULE_L_FID ON T_MAL_COMMENTMODULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTTEMPLATE', 'T_MAL_COMMENTTEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMEPL_FNUMBER') CREATE INDEX IDX_MAL_COMEPL_FNUMBER ON T_MAL_COMMENTTEMPLATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTTEMPLATE_L', 'T_MAL_COMMENTTEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTTPL_L_FID') CREATE INDEX IDX_MAL_COMMENTTPL_L_FID ON T_MAL_COMMENTTEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMTPLINFOENTRY', 'T_MAL_COMMTPLINFOENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMTPLINFOENT_FID_FSEQ') CREATE INDEX IDX_MAL_COMTPLINFOENT_FID_FSEQ ON T_MAL_COMMTPLINFOENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MAL_COMMTPLCLASSENTRY', 'T_MAL_COMMTPLCLASSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMTPLCLAENT_FID_FSEQ') CREATE INDEX IDX_MAL_COMTPLCLAENT_FID_FSEQ ON T_MAL_COMMTPLCLASSENTRY ( FID ,FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMTPLCLAENT_FCLASSID') CREATE INDEX IDX_MAL_COMTPLCLAENT_FCLASSID ON T_MAL_COMMTPLCLASSENTRY ( FCLASSID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMANAGE', 'T_MAL_COMMENTMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTMGE_FORDER') CREATE INDEX IDX_MAL_COMMENTMGE_FORDER ON T_MAL_COMMENTMANAGE ( FORDERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMENTMGE_FGOODS') CREATE INDEX IDX_MAL_COMMENTMGE_FGOODS ON T_MAL_COMMENTMANAGE ( FGOODSID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMANAGEENTRY', 'T_MAL_COMMENTMANAGEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMGEENT_FID_FSEQ') CREATE INDEX IDX_MAL_COMMGEENT_FID_FSEQ ON T_MAL_COMMENTMANAGEENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_MAL_MODULETYPE', 'T_MAL_MODULETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_MODULETYPE_FNUMBER') CREATE INDEX IDX_MAL_MODULETYPE_FNUMBER ON T_MAL_MODULETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_MODULETYPE_L', 'T_MAL_MODULETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_MODULETYPE_L_FID') CREATE INDEX IDX_MAL_MODULETYPE_L_FID ON T_MAL_MODULETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_COMMENTMANAGEENTRY_L', 'T_MAL_COMMENTMANAGEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_COMMGEENTRY_L_FID') CREATE INDEX IDX_MAL_COMMGEENTRY_L_FID ON T_MAL_COMMENTMANAGEENTRY_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
