﻿/**Begin D:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOLPRODPOOL', 'T_MAL_PROTOCOLPRODPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTPRODPOOL_FPROTOCOL') CREATE INDEX IDX_MAL_PROTPRODPOOL_FPROTOCOL ON T_MAL_PROTOCOLPRODPOOL ( FMALLPROTOCOLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTPRODPOOL_FGOODS') CREATE INDEX IDX_MAL_PROTPRODPOOL_FGOODS ON T_MAL_PROTOCOLPRODPOOL ( FGOODSID );


 EXEC P_ALTERPK 'PK_T_MAL_PROTOCOLPRODPOOL_L', 'T_MAL_PROTOCOLPRODPOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PROTPRODPOOL_L_FID') CREATE INDEX IDX_MAL_PROTPRODPOOL_L_FID ON T_MAL_PROTOCOLPRODPOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MAL_PRODENTRY', 'T_MAL_PRODENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PRODENTRY_FID_FSEQ') CREATE INDEX IDX_MAL_PRODENTRY_FID_FSEQ ON T_MAL_PRODENTRY ( FID ,FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PRODENTRY_FPROPOOLID') CREATE INDEX IDX_MAL_PRODENTRY_FPROPOOLID ON T_MAL_PRODENTRY ( FPRODPOOLID );


 EXEC P_ALTERPK 'PK_T_MAL_PROTPRODPOOLENTRY', 'T_MAL_PROTPRODPOOLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_PRODPOOLENTRY_FID_FSEQ') CREATE INDEX IDX_MAL_PRODPOOLENTRY_FID_FSEQ ON T_MAL_PROTPRODPOOLENTRY ( FID ,FSEQ );



/**End D:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
