﻿/**Begin D:\PDM_UPGRADE\PDM1\MAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODCHG') 
 CREATE TABLE T_MAL_PRODCHG (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FOLDTHUMBNAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FTHUMBNAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDTPICTURE1 VARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE1 VARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDPICTURE2 VARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE2 VARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDPICTURE3 VARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE3 VARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDPICTURE4 VARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE4 VARCHAR(255) DEFAULT ' ' NOT NULL,
FATTRIBUTEADD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FATTRIBUTEDELETE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FATTRIBUTEUPDATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FORIGIN CHAR(1) DEFAULT ' ' NOT NULL,
FCFMOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODCHGENTRY') 
 CREATE TABLE T_MAL_PRODCHGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHGFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOLDVALUE NCLOB,
FOLDVALUE_TAG NCLOB,
FNEWVALUE NCLOB,
FNEWVALUE_TAG NCLOB,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINFOTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSEQ VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRODCHG_L') 
 CREATE TABLE T_MAL_PRODCHG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\MAL_table.sql **/
