﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTERENTRY' AND KSQL_COL_NAME IN ('FMINORDERQTY')) 
 ALTER TABLE T_MAL_PRODENTERENTRY ADD (FMINORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRODENTERENTRY' AND KSQL_COL_NAME IN ('FPRICETYPE')) 
 ALTER TABLE T_MAL_PRODENTERENTRY ADD (FPRICETYPE CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PRICEADJUSTENTRY' AND KSQL_COL_NAME IN ('FPRICETYPE')) 
 ALTER TABLE T_MAL_PRICEADJUSTENTRY ADD (FPRICETYPE CHAR(1) DEFAULT 'A' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_PRICEREQLADDER') 
 CREATE TABLE T_MAL_PRICEREQLADDER (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQTYTO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQTYFROM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLADPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_LADDERPRICE') 
 CREATE TABLE T_MAL_LADDERPRICE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQTYTO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQTYFROM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLADPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_PROTOCOLPRODPOOL' AND KSQL_COL_NAME IN ('FMINORDERQTY')) 
 ALTER TABLE T_MAL_PROTOCOLPRODPOOL ADD (FMINORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL );


/**End C:\PDM_UPGRADE\PDM1\MAL_table.sql **/
