﻿/**Begin C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_MAL_SPU', 'T_MAL_SPU', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SPU_FNUMBER') CREATE INDEX IDX_SPU_FNUMBER ON T_MAL_SPU ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_SPUBASEATRENTRY', 'T_MAL_SPUBASEATRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SPUBASEATRENTRY_FID_FSEQ') CREATE INDEX IDX_SPUBASEATRENTRY_FID_FSEQ ON T_MAL_SPUBASEATRENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MAL_SPUSALEATRENTRY', 'T_MAL_SPUSALEATRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SPUSALEATRENTRY_FID_FSEQ') CREATE INDEX IDX_SPUSALEATRENTRY_FID_FSEQ ON T_MAL_SPUSALEATRENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK__MAL_SPUATRVALENTRY', 'T_MAL_SPUATRVALENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_ATVLET_FENTRYID_FSEQ') CREATE INDEX IDX_MAL_ATVLET_FENTRYID_FSEQ ON T_MAL_SPUATRVALENTRY ( FENTRYID ,FSEQ );


 EXEC P_ALTERPK 'PK_MAL_SPUSKUMAPENTRY', 'T_MAL_SPUSKUMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_SKUMAPENTRY_FID_FSEQ') CREATE INDEX IDX_MAL_SKUMAPENTRY_FID_FSEQ ON T_MAL_SPUSKUMAPENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MAL_SPU_L', 'T_MAL_SPU_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_SPU_L_FID_FLOCALEID') CREATE INDEX IDX_MAL_SPU_L_FID_FLOCALEID ON T_MAL_SPU_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_SPUATRDETAILENTRY', 'T_MAL_SPUATRDETAILENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_ATDLET_FENTRYID_FSEQ') CREATE INDEX IDX_MAL_ATDLET_FENTRYID_FSEQ ON T_MAL_SPUATRDETAILENTRY ( FENTRYID ,FSEQ );



/**End C:\PDM_UPGRADE\PDM1\MAL_constraint.sql **/
